AddVCenter
AddVCenter
POST
/zstack/v1/vcentersOperation ID
AddVCenterSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
usernameStringRequiredThe user name used to log in to the vCenter.
passwordStringRequiredThe password used to log in to the vCenter.
zoneUuidStringRequiredThe UUID of the zone to which the vCenter is added.
nameStringRequiredThe name of the vCenter.
httpsbooleanOptional. Whether to enable HTTPS login. By default, HTTPS login is enabled.
domainNameStringRequiredThe domain name of the vCenter.
descriptionStringOptional. The detailed description of the vCenter.
resourceUuidStringOptional. The vCenter UUID. If specified, the VM instance will use the specified value as the UUID.
portIntegerOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
